Index: trunk/LMDZ.GENERIC/libf/phystd/aeropacity.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/aeropacity.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/aeropacity.F90	(revision 1397)
@@ -7,4 +7,8 @@
        USE tracer_h, only: noms,rho_co2,rho_ice
        use comcstfi_mod, only: g
+       use callkeys_mod, only: aerofixco2,aerofixh2o,kastprof,cloudlvl,	&
+		CLFvarying,CLFfixval,dusttau,			 	&
+		pres_bottom_tropo,pres_top_tropo,obs_tau_col_tropo,	&
+		pres_bottom_strato,pres_top_strato,obs_tau_col_strato
                   
        implicit none
@@ -41,6 +45,4 @@
 !=======================================================================
 
-#include "callkeys.h"
-
       INTEGER,INTENT(IN) :: ngrid  ! number of atmospheric columns
       INTEGER,INTENT(IN) :: nlayer ! number of atmospheric layers
Index: trunk/LMDZ.GENERIC/libf/phystd/aeroptproperties.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/aeroptproperties.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/aeroptproperties.F90	(revision 1397)
@@ -34,5 +34,4 @@
 !#include "dimensions.h"
 !#include "dimphys.h"
-#include "callkeys.h"
 
 !     Local variables 
Index: trunk/LMDZ.GENERIC/libf/phystd/ave_stelspec.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/ave_stelspec.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/ave_stelspec.F90	(revision 1397)
@@ -26,8 +26,7 @@
       use radcommon_h, only: BWNV, DWNV, tstellar
       use datafile_mod, only: datadir
+      use callkeys_mod, only: stelbbody,stelTbb,startype
 
       implicit none
-
-#include "callkeys.h"
 
       real*8 STELLAR(L_NSPECTV)
Index: trunk/LMDZ.GENERIC/libf/phystd/calc_cpp3d.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/calc_cpp3d.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/calc_cpp3d.F90	(revision 1397)
@@ -15,7 +15,4 @@
       implicit none
 
-#include "callkeys.h"
-#include "cpdet.h"
-
       !real cp0, dB2dT2
       real cppNI      ! specific heat capacity at const. pressure
Index: trunk/LMDZ.GENERIC/libf/phystd/calc_cpp_mugaz.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/calc_cpp_mugaz.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/calc_cpp_mugaz.F90	(revision 1397)
@@ -19,7 +19,6 @@
       use gases_h
       use comcstfi_mod, only: cpp, mugaz
+      use callkeys_mod, only: check_cpp_match,force_cpp
       implicit none
-
-#include "callkeys.h"
 
       real cpp_c   
Index: trunk/LMDZ.GENERIC/libf/phystd/calc_rayleigh.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/calc_rayleigh.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/calc_rayleigh.F90	(revision 1397)
@@ -31,6 +31,4 @@
 
       implicit none
-
-#include "callkeys.h"
 
       real*8 wl
Index: trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1397)
@@ -19,4 +19,6 @@
       USE tracer_h
       use comcstfi_mod, only: pi, mugaz, cpp
+      use callkeys_mod, only: varactive,diurnal,tracer,water,nosurf,varfixed,satval,	&
+		kastprof,strictboundcorrk,specOLR,CLFvarying
 
       implicit none
@@ -36,6 +38,4 @@
 !
 !==================================================================
-
-#include "callkeys.h"
 
 !-----------------------------------------------------------------------
Index: trunk/LMDZ.GENERIC/libf/phystd/callkeys.h
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callkeys.h	(revision 1395)
+++ 	(revision )
@@ -1,120 +1,0 @@
-!
-! For Fortran 77/Fortran 90 compliance always use line continuation
-! symbols '&' in columns 73 and 6
-!
-! Group commons according to their type for minimal performance impact
-
-      COMMON/callkeys_l/callrad,corrk,calldifv,UseTurbDiff,calladj      &
-     &   , co2cond,callsoil                                             &
-     &   , season,diurnal,tlocked,rings_shadow,lwrite                   &
-     &   , callstats,calleofdump                                        &
-     &   , enertest                                                     &
-     &   , callgasvis,continuum,H2Ocont_simple,graybody                 &
-     &   , radfixed                                                     &
-     &   , meanOLR, specOLR                                             &
-     &   , kastprof                                                     &
-     &   , nosurf, oblate                                               &     
-     &   , newtonian, testradtimes                                      &
-     &   , check_cpp_match, force_cpp                                   &
-     &   , rayleigh                                                     &
-     &   , stelbbody                                                    &
-     &   , nearco2cond                                                  &
-     &   , tracer, mass_redistrib, varactive, varfixed                  &
-     &   , sedimentation,water,watercond,waterrain                      &
-     &   , aeroco2,aeroh2o,aeroh2so4,aeroback2lay                       &
-     &   , aerofixco2,aerofixh2o                                        &
-     &   , hydrology, sourceevol                                        &
-     &   , CLFvarying                                                   &
-     &   , strictboundcorrk                                             &                                        
-     &   , ok_slab_ocean                                                &
-     &   , ok_slab_sic                                                  &
-     &   , ok_slab_heat_transp                                          
-
-
-      COMMON/callkeys_i/iaervar,iddist,iradia,startype
-      
-      COMMON/callkeys_r/topdustref,Nmix_co2,dusttau,Fat1AU,stelTbb,     &
-     &                  Tstrat,tplanet,obs_tau_col_tropo,               &
-     &                  obs_tau_col_strato,pres_bottom_tropo,           &
-     &                  pres_top_tropo,pres_bottom_strato,              &
-     &                  pres_top_strato,size_tropo,size_strato,satval,  &
-     &                  CLFfixval,n2mixratio,co2supsat,pceil,albedosnow,&
-     &                  maxicethick,Tsaldiff,tau_relax,cloudlvl,        &
-     &                  icetstep,intheat,flatten,Rmean,J2,MassPlanet
-      
-      logical callrad,corrk,calldifv,UseTurbDiff                        &
-     &   , calladj,co2cond,callsoil                                     &
-     &   , season,diurnal,tlocked,rings_shadow,lwrite                   &
-     &   , callstats,calleofdump                                        &
-     &   , callgasvis,continuum,H2Ocont_simple,graybody                 &
-     &   , strictboundcorrk                                             
-
-      logical enertest
-      logical nonideal
-      logical meanOLR
-      logical specOLR
-      logical kastprof
-      logical newtonian
-      logical check_cpp_match
-      logical force_cpp
-      logical testradtimes
-      logical rayleigh
-      logical stelbbody
-      logical ozone
-      logical nearco2cond
-      logical tracer
-      logical mass_redistrib
-      logical varactive
-      logical varfixed
-      logical radfixed
-      logical sedimentation
-      logical water,watercond,waterrain
-      logical aeroco2,aeroh2o,aeroh2so4,aeroback2lay
-      logical aerofixco2,aerofixh2o
-      logical hydrology
-      logical sourceevol
-      logical CLFvarying
-      logical nosurf
-      logical oblate
-      logical ok_slab_ocean
-      logical ok_slab_sic
-      logical ok_slab_heat_transp
-
-      integer iddist
-      integer iaervar
-      integer iradia
-      integer startype
-
-      real topdustref
-      real Nmix_co2
-      real dusttau
-      real Fat1AU
-      real stelTbb
-      real Tstrat
-      real tplanet
-      real obs_tau_col_tropo
-      real obs_tau_col_strato
-      real pres_bottom_tropo
-      real pres_top_tropo
-      real pres_bottom_strato
-      real pres_top_strato
-      real size_tropo
-      real size_strato
-      real satval
-      real CLFfixval
-      real n2mixratio
-      real co2supsat
-      real pceil
-      real albedosnow
-      real maxicethick
-      real Tsaldiff
-      real tau_relax
-      real cloudlvl
-      real icetstep
-      real intheat
-      real flatten
-      real Rmean
-      real J2
-      real MassPlanet
-      
-      logical :: iscallphys=.false.!existence of callphys.def
Index: trunk/LMDZ.GENERIC/libf/phystd/callkeys_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callkeys_mod.F90	(revision 1397)
+++ trunk/LMDZ.GENERIC/libf/phystd/callkeys_mod.F90	(revision 1397)
@@ -0,0 +1,81 @@
+MODULE callkeys_mod
+IMPLICIT NONE  
+
+      logical callrad,corrk,calldifv,UseTurbDiff                        &
+     &   , calladj,co2cond,callsoil                                     &
+     &   , season,diurnal,tlocked,rings_shadow,lwrite                   &
+     &   , callstats,calleofdump                                        &
+     &   , callgasvis,continuum,H2Ocont_simple,graybody                 &
+     &   , strictboundcorrk                                        
+
+      logical enertest
+      logical nonideal
+      logical meanOLR
+      logical specOLR
+      logical kastprof
+      logical newtonian
+      logical check_cpp_match
+      logical force_cpp
+      logical testradtimes
+      logical rayleigh
+      logical stelbbody
+      logical ozone
+      logical nearco2cond
+      logical tracer
+      logical mass_redistrib
+      logical varactive
+      logical varfixed
+      logical radfixed
+      logical sedimentation
+      logical water,watercond,waterrain
+      logical aeroco2,aeroh2o,aeroh2so4,aeroback2lay
+      logical aerofixco2,aerofixh2o
+      logical hydrology
+      logical sourceevol
+      logical CLFvarying
+      logical nosurf
+      logical oblate
+      logical ok_slab_ocean
+      logical ok_slab_sic
+      logical ok_slab_heat_transp
+
+      integer iddist
+      integer iaervar
+      integer iradia
+      integer startype
+
+      real topdustref
+      real Nmix_co2
+      real dusttau
+      real Fat1AU
+      real stelTbb
+      real Tstrat
+      real tplanet
+      real obs_tau_col_tropo
+      real obs_tau_col_strato
+      real pres_bottom_tropo
+      real pres_top_tropo
+      real pres_bottom_strato
+      real pres_top_strato
+      real size_tropo
+      real size_strato
+      real satval
+      real CLFfixval
+      real n2mixratio
+      real co2supsat
+      real pceil
+      real albedosnow
+      real maxicethick
+      real Tsaldiff
+      real tau_relax
+      real cloudlvl
+      real icetstep
+      real intheat
+      real flatten
+      real Rmean
+      real J2
+      real MassPlanet
+      
+      logical :: iscallphys=.false.!existence of callphys.def
+
+END MODULE callkeys_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/callsedim.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callsedim.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/callsedim.F	(revision 1397)
@@ -8,4 +8,5 @@
       USE tracer_h, only : igcm_co2_ice,igcm_h2o_ice,radius,rho_q
       use comcstfi_mod, only: g
+      use callkeys_mod, only : water
 
       IMPLICIT NONE
@@ -28,6 +29,4 @@
 c   declarations:
 c   -------------
-
-#include "callkeys.h"
 
 c   arguments:
Index: trunk/LMDZ.GENERIC/libf/phystd/comg1d.h
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comg1d.h	(revision 1395)
+++ 	(revision )
@@ -1,63 +1,0 @@
-!.......................................................................
-!  le COMMON pour GRADS-1D
-!  (Utilise pour les sorties format Grads dans la version 1D du modele)
-!
-!  on peut se dire : "on ne sauvera pas plus de 1000 variables ... hein ?"
-!
-      INTEGER g1d_nvarmx
-      PARAMETER(g1d_nvarmx=1000)
-
-!         * g1d_nlayer     ---> nombre de couches verticales
-!         * g1d_nomfich    ---> nom du fichier grads
-!         * g1d_unitfich   ---> code du fichier grads
-!         * g1d_nomctl     ---> nom du fichier ctl
-!         * g1d_unitctl    ---> code du fichier ctl
-!         * g1d_premier    ---> variable logique pour dire si le fichier
-!                               est deja ouvert
-!         * g1d_irec       ---> indice de derniere ecriture
-!         * g1d_nvar       ---> nombre de variables deja definies a la
-!                               derniere ecriture
-!         * g1d_nomvar     ---> noms des vecteurs existants
-!         * g1d_dimvar     ---> taille des vecteurs
-!         * g1d_titrevar   ---> titres des vecteurs
-!         * g1d_tmp1       ---> caractere 
-!         * g1d_tmp2       ---> caractere 
-
-      INTEGER g1d_nlayer
-      CHARACTER*100 g1d_nomfich
-      INTEGER g1d_unitfich
-      CHARACTER*100 g1d_nomctl
-      INTEGER g1d_unitctl
-      LOGICAL g1d_premier
-      LOGICAL g2d_premier
-      INTEGER g1d_irec
-      INTEGER g2d_irec
-      INTEGER g2d_appel
-      INTEGER g1d_nvar
-      CHARACTER*100 g1d_nomvar
-      INTEGER g1d_dimvar
-      CHARACTER*100 g1d_titrevar
-      CHARACTER*100 g1d_tmp1,g1d_tmp2
-
-!     added by RW
-      integer saveG1D
-
-      COMMON/COMG1DI/g1d_nlayer                                         &
-     &             ,g1d_unitfich                                        &
-     &             ,g1d_unitctl                                         &
-     &             ,g1d_irec                                            &
-     &             ,g2d_irec                                            &
-     &             ,g2d_appel                                           &
-     &             ,g1d_nvar                                            &
-     &             ,saveG1D
-      COMMON/COMG1DC/g1d_dimvar(0:g1d_nvarmx)                           &
-     &             ,g1d_nomfich                                         &
-     &             ,g1d_nomctl                                          &
-     &             ,g1d_nomvar(0:g1d_nvarmx)                            &
-     &             ,g1d_titrevar(0:g1d_nvarmx)                          &
-     &             ,g1d_tmp1                                            &
-     &             ,g1d_tmp2                                            
-      COMMON/COMG1DL/g1d_premier                                        &
-     &             ,g2d_premier
-!
-!.......................................................................
Index: trunk/LMDZ.GENERIC/libf/phystd/comg1d_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comg1d_mod.F90	(revision 1397)
+++ trunk/LMDZ.GENERIC/libf/phystd/comg1d_mod.F90	(revision 1397)
@@ -0,0 +1,50 @@
+MODULE comg1d_mod
+IMPLICIT NONE  
+
+!.......................................................................
+!  le COMMON pour GRADS-1D
+!  (Utilise pour les sorties format Grads dans la version 1D du modele)
+!
+!  on peut se dire : "on ne sauvera pas plus de 1000 variables ... hein ?"
+!
+      INTEGER g1d_nvarmx
+      PARAMETER(g1d_nvarmx=1000)
+
+!         * g1d_nlayer     ---> nombre de couches verticales
+!         * g1d_nomfich    ---> nom du fichier grads
+!         * g1d_unitfich   ---> code du fichier grads
+!         * g1d_nomctl     ---> nom du fichier ctl
+!         * g1d_unitctl    ---> code du fichier ctl
+!         * g1d_premier    ---> variable logique pour dire si le fichier
+!                               est deja ouvert
+!         * g1d_irec       ---> indice de derniere ecriture
+!         * g1d_nvar       ---> nombre de variables deja definies a la
+!                               derniere ecriture
+!         * g1d_nomvar     ---> noms des vecteurs existants
+!         * g1d_dimvar     ---> taille des vecteurs
+!         * g1d_titrevar   ---> titres des vecteurs
+!         * g1d_tmp1       ---> caractere 
+!         * g1d_tmp2       ---> caractere 
+
+      INTEGER g1d_nlayer
+      CHARACTER*100 g1d_nomfich
+      INTEGER g1d_unitfich
+      CHARACTER*100 g1d_nomctl
+      INTEGER g1d_unitctl
+      LOGICAL g1d_premier
+      LOGICAL g2d_premier
+      INTEGER g1d_irec
+      INTEGER g2d_irec
+      INTEGER g2d_appel
+      INTEGER g1d_nvar
+      CHARACTER*100 g1d_nomvar(0:g1d_nvarmx)
+      INTEGER g1d_dimvar(0:g1d_nvarmx)
+      CHARACTER*100 g1d_titrevar(0:g1d_nvarmx)
+      CHARACTER*100 g1d_tmp1,g1d_tmp2
+
+!     added by RW
+      integer saveG1D
+!
+!.......................................................................
+
+END MODULE comg1d_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/comhdiff.h
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comhdiff.h	(revision 1395)
+++ 	(revision )
@@ -1,15 +1,0 @@
-!
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/comdissipn.h,v 1.1.1.1 2008-03-27 12:53:06 lmdzadmin Exp $
-!
-!-----------------------------------------------------------------------
-! INCLUDE comdhdiff.h
-
-
-
-      COMMON/comhdiff/                                                  &
-     &     zmasqu(ip1jmp1),zmasqv(ip1jm),alpha_var,                     &     
-     &     unsfv(ip1jm),unsev(ip1jm),unsfu(ip1jmp1),unseu(ip1jmp1),     &
-     &     slab_upstream      
-
-      LOGICAL alpha_var,slab_upstream
-      REAL zmasqu,zmasqv,unsfv,unsev,unsfu,unseu
Index: trunk/LMDZ.GENERIC/libf/phystd/comhdiff_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comhdiff_mod.F90	(revision 1397)
+++ trunk/LMDZ.GENERIC/libf/phystd/comhdiff_mod.F90	(revision 1397)
@@ -0,0 +1,10 @@
+MODULE comhdiff_mod
+IMPLICIT NONE  
+#include "dimensions.h"
+#include "paramet.h"
+
+  LOGICAL alpha_var,slab_upstream
+  REAL zmasqu(ip1jmp1),zmasqv(ip1jm),	&
+	unsfv(ip1jm),unsev(ip1jm),unsfu(ip1jmp1),unseu(ip1jmp1)
+
+END MODULE comhdiff_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/condense_cloud.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/condense_cloud.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/condense_cloud.F90	(revision 1397)
@@ -56,6 +56,4 @@
 !==================================================================
 
-#include "callkeys.h"
-
 !-----------------------------------------------------------------------
 !     Arguments
@@ -482,6 +480,4 @@
       implicit none
 
-#include "callkeys.h"
-
       real p, peff, tcond
       real, parameter :: ptriple=518000.0
@@ -507,7 +503,7 @@
 !     (JL 2011)
 
+      use callkeys_mod, only: co2supsat
+
       implicit none
-
-#include "callkeys.h"
 
       real p, peff, tnuc
Index: trunk/LMDZ.GENERIC/libf/phystd/convadj.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/convadj.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/convadj.F	(revision 1397)
@@ -8,4 +8,5 @@
       USE tracer_h
       use comcstfi_mod, only: g
+      use callkeys_mod, only: tracer,water
 
       implicit none
@@ -29,6 +30,4 @@
 !     Declarations
 !     ------------
-
-#include "callkeys.h"
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/cpdet.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/cpdet.F	(revision 1395)
+++ 	(revision )
@@ -1,123 +1,0 @@
-! ADAPTATION GCM POUR CP(T)
-c======================================================================
-c S. Lebonnois, 10/2007:
-c
-c VENUS: Cp(T) = cpp*(T/T0)^nu 
-c avec T0=460. et nu=0.35
-c cpp=RCPD=cp0 = 1000.
-c R/RCPD = RKAPPA
-c
-c La fonction d'Exner reste pk = RCPD*(play/pref)**RKAPPA
-c 
-c T et teta (temperature potentielle) sont liees par:
-c 
-c   integrale[teta a T](cp/T dT) = integrale[pref a p](R/p dp)
-c
-c Dans le cas de l'expression pour Venus, ca donne:
-c
-c   teta**nu = T**nu - nu * T0**nu * ln[ (p/pref)**RKAPPA ]
-c ou
-c   teta**nu = T**nu - nu * T0**nu * ln[pk/RCPD]
-c
-c On passe de T a teta par t2tpot(t,teta,pk)
-c On passe de teta a T par tpot2t(teta,t,pk)
-c
-c Pour DT <-> Dteta, on utilise: dteta = dT *(T/teta)**(nu-1)
-c -> routine dt2dtpot(dt,dteta,t,teta) 
-c (utilisee seulement pour le contregradient)
-c
-c======================================================================
-
-      FUNCTION cpdet(t)
-      IMPLICIT none
-#include "cpdet.h"
-
-      real cpdet,t
-
-      cpdet = cp0*(t/t0)**nu
-
-      return
-      end
-      
-c======================================================================
-c======================================================================
-
-      SUBROUTINE t2tpot(npoints,yt, yteta, ypk)
-      IMPLICIT none
-c======================================================================
-c Arguments:
-c
-c yt   --------input-R- Temperature
-c yteta-------output-R- Temperature potentielle
-c ypk  --------input-R- Fonction d'Exner: RCPD*(pplay/pref)**RKAPPA
-c
-c======================================================================
-#include "cpdet.h"
-
-      integer npoints
-      REAL    yt(npoints), yteta(npoints), ypk(npoints)
-      
-      yteta = yt**nu - nu * t0**nu * log(ypk/cp0)
-      yteta = yteta**(1./nu)
-        
-
-      !yteta = yt/ypk
-
-
-      return
-      end
-
-c======================================================================
-c======================================================================
-
-      SUBROUTINE tpot2t(npoints,yteta, yt, ypk)
-      IMPLICIT none
-c======================================================================
-c Arguments:
-c
-c yteta--------input-R- Temperature potentielle
-c yt   -------output-R- Temperature
-c ypk  --------input-R- Fonction d'Exner: RCPD*(pplay/pref)**RKAPPA
-c
-c======================================================================
-#include "cpdet.h"
-
-      integer npoints
-      REAL yt(npoints), yteta(npoints), ypk(npoints)
-
-      yt = yteta**nu + nu * t0**nu * log(ypk/cp0)
-      yt = yt**(1./nu)
-
-      !yt = yteta*ypk
-
-      return
-      end
-
-c$$$c======================================================================
-c$$$c======================================================================
-c$$$
-c$$$      SUBROUTINE dt2dtpot(npoints,ydt, ydteta, yt, yteta, ypk, ydpk)
-c$$$      IMPLICIT none
-c$$$c======================================================================
-c$$$c Arguments:
-c$$$c
-c$$$c ydt  --------input-R- D Temperature
-c$$$c ydteta------output-R- D Temperature potentielle
-c$$$c yt   --------input-R- Temperature
-c$$$c yteta--------input-R- Temperature potentielle
-c$$$c ypk  --------input-R- Fonction d'Exner: RCPD*(pplay/pref)**RKAPPA
-c$$$c ydpk  -------input-R- D Fonction d'Exner
-c$$$c
-c$$$c======================================================================
-c$$$#include "cpdet.h"
-c$$$
-c$$$      integer npoints
-c$$$      REAL    ydt(npoints), ydteta(npoints), ydpk(npoints)
-c$$$      REAL    yt(npoints), yteta(npoints), ypk(npoints)
-c$$$      
-c$$$      ydteta =  yteta**(1.-nu)* (ydt * yt**(nu-1.) 
-c$$$     .                           - t0**nu * ydpk / ypk)
-c$$$        
-c$$$      return
-c$$$      end
-
Index: trunk/LMDZ.GENERIC/libf/phystd/cpdet.h
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/cpdet.h	(revision 1395)
+++ 	(revision )
@@ -1,12 +1,0 @@
-!-----------------------------------------------------------------------
-! INCLUDE cpdet.h
-
-      real cp0,t0,nu
-!      parameter (cp0 = 1000.) !doit etre egal a cpp (dyn) et RCPD (phy)
-      parameter (cp0 = 800.) !doit etre egal a cpp (dyn) et RCPD (phy)
-!      parameter (t0  = 460.)
-      parameter (t0  = 480.)
-!      parameter (t0  = 300.)
-      parameter (nu  = 0.35)
-!      parameter (nu  = 1.0)
-!-----------------------------------------------------------------------
Index: trunk/LMDZ.GENERIC/libf/phystd/cpdet_phy_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/cpdet_phy_mod.F90	(revision 1397)
+++ trunk/LMDZ.GENERIC/libf/phystd/cpdet_phy_mod.F90	(revision 1397)
@@ -0,0 +1,108 @@
+MODULE cpdet_phy_mod
+IMPLICIT NONE  
+
+! ADAPTATION GCM POUR CP(T)
+!======================================================================
+! S. Lebonnois, 10/2007:
+!
+! VENUS: Cp(T) = cpp*(T/T0)^nu 
+! avec T0=460. et nu=0.35
+! cpp=RCPD=cp0 = 1000.
+! R/RCPD = RKAPPA
+!
+! La fonction d'Exner reste pk = RCPD*(play/pref)**RKAPPA
+! 
+! T et teta (temperature potentielle) sont liees par:
+! 
+!   integrale[teta a T](cp/T dT) = integrale[pref a p](R/p dp)
+!
+! Dans le cas de l'expression pour Venus, ca donne:
+!
+!   teta**nu = T**nu - nu * T0**nu * ln[ (p/pref)**RKAPPA ]
+! ou
+!   teta**nu = T**nu - nu * T0**nu * ln[pk/RCPD]
+!
+! On passe de T a teta par t2tpot(t,teta,pk)
+! On passe de teta a T par tpot2t(teta,t,pk)
+!
+! Pour DT <-> Dteta, on utilise: dteta = dT *(T/teta)**(nu-1)
+! -> routine dt2dtpot(dt,dteta,t,teta) 
+! (utilisee seulement pour le contregradient)
+!
+!======================================================================
+
+
+      REAL cp0,t0,nu
+!      PARAMETER (cp0 = 1000.) !doit etre egal a cpp (dyn) et RCPD (phy)
+      PARAMETER (cp0 = 800.) !doit etre egal a cpp (dyn) et RCPD (phy)
+!      PARAMETER (t0  = 460.)
+      PARAMETER (t0  = 480.)
+!      PARAMETER (t0  = 300.)
+      PARAMETER (nu  = 0.35)
+!      PARAMETER (nu  = 1.0)
+
+CONTAINS
+
+      FUNCTION cpdet(t)
+      IMPLICIT NONE
+
+      real cpdet,t
+
+      cpdet = cp0*(t/t0)**nu
+
+      RETURN
+      END FUNCTION cpdet
+      
+!======================================================================
+!======================================================================
+
+      SUBROUTINE t2tpot(npoints,yt, yteta, ypk)
+      IMPLICIT NONE
+!======================================================================
+! Arguments:
+!
+! yt   --------input-R- Temperature
+! yteta-------output-R- Temperature potentielle
+! ypk  --------input-R- Fonction d'Exner: RCPD*(pplay/pref)**RKAPPA
+!
+!======================================================================
+
+      INTEGER npoints
+      REAL    yt(npoints), yteta(npoints), ypk(npoints)
+      
+      yteta = yt**nu - nu * t0**nu * log(ypk/cp0)
+      yteta = yteta**(1./nu)
+        
+
+      !yteta = yt/ypk
+
+
+      RETURN
+      END SUBROUTINE t2tpot
+
+!======================================================================
+!======================================================================
+
+      SUBROUTINE tpot2t(npoints,yteta, yt, ypk)
+      IMPLICIT NONE
+!======================================================================
+! Arguments:
+!
+! yteta--------input-R- Temperature potentielle
+! yt   -------output-R- Temperature
+! ypk  --------input-R- Fonction d'Exner: RCPD*(pplay/pref)**RKAPPA
+!
+!======================================================================
+
+      INTEGER npoints
+      REAL yt(npoints), yteta(npoints), ypk(npoints)
+
+      yt = yteta**nu + nu * t0**nu * log(ypk/cp0)
+      yt = yt**(1./nu)
+
+      !yt = yteta*ypk
+
+      RETURN
+      END SUBROUTINE tpot2t
+
+END MODULE cpdet_phy_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1397)
@@ -12,4 +12,5 @@
   USE tracer_h
   use slab_ice_h
+  use callkeys_mod, only: albedosnow,ok_slab_ocean,Tsaldiff,maxicethick,co2cond
 
   implicit none
@@ -39,6 +40,4 @@
 !     
 !==================================================================
-
-#include "callkeys.h"
 
       integer ngrid,nq
Index: trunk/LMDZ.GENERIC/libf/phystd/iniaerosol.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/iniaerosol.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/iniaerosol.F	(revision 1397)
@@ -4,4 +4,6 @@
       use radinc_h, only: naerkind
       use aerosol_mod
+      use callkeys_mod, only: aeroco2,aeroh2o,dusttau,aeroh2so4,
+     &		aeroback2lay
 
       IMPLICIT NONE
@@ -17,6 +19,4 @@
 c=======================================================================
 
-
-#include "callkeys.h"
       integer ia
 
Index: trunk/LMDZ.GENERIC/libf/phystd/inifis.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1397)
@@ -14,4 +14,5 @@
       use planete_mod, only: nres
       use planetwide_mod, only: planetwide_sumval
+      use callkeys_mod
 
 !=======================================================================
@@ -55,6 +56,4 @@
       USE ioipsl_getincom_p
       IMPLICIT NONE
-
-#include "callkeys.h"
 
 
@@ -106,5 +105,5 @@
      &     ,iostat=ierr)
       CLOSE(99)
-      IF(ierr.EQ.0) iscallphys=.true. !iscallphys initialised as false in callkeys.h
+      IF(ierr.EQ.0) iscallphys=.true. !iscallphys initialised as false in callkeys_mod module
 !$OMP END MASTER
 !$OMP BARRIER
Index: trunk/LMDZ.GENERIC/libf/phystd/inistats.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/inistats.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/inistats.F	(revision 1397)
@@ -2,4 +2,5 @@
 
       use mod_phys_lmdz_para, only : is_master
+      use statto_mod, only: istats,istime
       implicit none
 
@@ -9,5 +10,4 @@
 #include "comvert.h"
 #include "comconst.h"
-#include "statto.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/initracer.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/initracer.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/initracer.F	(revision 1397)
@@ -4,4 +4,5 @@
       USE comgeomfi_h
       USE tracer_h
+      USE callkeys_mod, only: water
       IMPLICIT NONE
 c=======================================================================
@@ -24,5 +25,4 @@
 
 #include "dimensions.h"
-#include "callkeys.h"
 
       integer :: ngrid,nq
Index: trunk/LMDZ.GENERIC/libf/phystd/kcm1d.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/kcm1d.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/kcm1d.F90	(revision 1397)
@@ -32,5 +32,4 @@
 #include "dimensions.h"
 !#include "dimphys.h"
-#include "callkeys.h"
 
   ! --------------------------------------------------------------
Index: trunk/LMDZ.GENERIC/libf/phystd/kcmprof_fn.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/kcmprof_fn.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/kcmprof_fn.F90	(revision 1397)
@@ -5,4 +5,5 @@
 use gases_h
 use comcstfi_mod, only: mugaz, cpp, g
+use callkeys_mod, only: co2cond
 implicit none
 
@@ -12,6 +13,4 @@
 !     Authour: Adapted from a code by E. Marcq by R. Wordsworth (2011)
 !     ----------------------------------------------------------------
-
-#include "callkeys.h"
 
   integer ilay, nlay
Index: trunk/LMDZ.GENERIC/libf/phystd/largescale.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/largescale.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/largescale.F90	(revision 1397)
@@ -23,6 +23,4 @@
 !     
 !==================================================================
-
-#include "callkeys.h"
 
       INTEGER ngrid,nlayer,nq
Index: trunk/LMDZ.GENERIC/libf/phystd/lect_start_archive.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/lect_start_archive.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/lect_start_archive.F	(revision 1397)
@@ -12,4 +12,5 @@
 !      USE control_mod
 ! to use  'getin'
+      USE callkeys_mod, ONLY: ok_slab_ocean
 
 c=======================================================================
@@ -43,5 +44,4 @@
 #include "netcdf.inc"
 !#include"advtrac.h"
-#include "callkeys.h"
 c=======================================================================
 c   Declarations
Index: trunk/LMDZ.GENERIC/libf/phystd/mass_redistribution.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/mass_redistribution.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/mass_redistribution.F90	(revision 1397)
@@ -11,4 +11,5 @@
        USE planete_mod, only: bp
        use comcstfi_mod, only: g
+       USE callkeys_mod, ONLY: water
        
        IMPLICIT NONE
@@ -51,6 +52,4 @@
 !    0.  Declarations :
 !    ------------------
-!
-#include "callkeys.h"
 
 !-----------------------------------------------------------------------
Index: trunk/LMDZ.GENERIC/libf/phystd/mkstat.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/mkstat.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/mkstat.F90	(revision 1397)
@@ -11,9 +11,9 @@
 
 use mod_phys_lmdz_para, only : is_master
+use statto_mod, only: istime,count
 
 implicit none
 
 #include "dimensions.h"
-#include "statto.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90	(revision 1397)
@@ -2,7 +2,7 @@
         
   use comcstfi_mod, only: rcp, pi
+  use callkeys_mod, only: tau_relax
   implicit none
 
-#include "callkeys.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90	(revision 1397)
@@ -13,7 +13,4 @@
       use surf_heat_transp_mod
       implicit none
-
-
-#include "callkeys.h"
 
 
@@ -64,7 +61,4 @@
 
 
-#include "callkeys.h"
-
-
 
 
@@ -203,7 +197,5 @@
 
       use slab_ice_h
-
-#include "callkeys.h"
-
+      use callkeys_mod, only: ok_slab_sic
 
 
@@ -441,6 +433,5 @@
 
     use slab_ice_h 
-
-#include "callkeys.h"
+    use callkeys_mod, only: ok_slab_sic,ok_slab_heat_transp
 
 ! Input arguments
Index: trunk/LMDZ.GENERIC/libf/phystd/optci.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/optci.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/optci.F90	(revision 1397)
@@ -7,4 +7,5 @@
   use gases_h
   use comcstfi_mod, only: g, r, mugaz
+  use callkeys_mod, only: kastprof,continuum,graybody,H2Ocont_simple
   implicit none
 
@@ -29,6 +30,4 @@
   !==================================================================
 
-#include "callkeys.h"
-
 
   real*8 DTAUI(L_NLAYRAD,L_NSPECTI,L_NGAUSS)
Index: trunk/LMDZ.GENERIC/libf/phystd/optcv.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/optcv.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/optcv.F90	(revision 1397)
@@ -7,4 +7,5 @@
   use gases_h
   use comcstfi_mod, only: g, r, mugaz
+  use callkeys_mod, only: kastprof,continuum,graybody,H2Ocont_simple,callgasvis
 
   implicit none
@@ -35,6 +36,4 @@
   !     
   !-------------------------------------------------------------------
-
-#include "callkeys.h"
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1397)
@@ -144,9 +144,8 @@
   use infotrac, only: tname
   use slab_ice_h, only: noceanmx
+  use callkeys_mod, only: ok_slab_ocean
 
   implicit none
-!======================================================================
-#include "callkeys.h"
-!======================================================================
+
   character(len=*),intent(in) :: filename
   integer,intent(in) :: nsoil
Index: trunk/LMDZ.GENERIC/libf/phystd/physiq.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1397)
@@ -35,4 +35,5 @@
                             obliquit, nres, z0
       use comcstfi_mod, only: pi, g, rcp, r, rad, mugaz, cpp, daysec
+      use callkeys_mod
       implicit none
 
@@ -132,5 +133,4 @@
 !    ------------------
 
-#include "callkeys.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1397)
@@ -7,4 +7,8 @@
       
 !     water cloud optical properties
+
+      use callkeys_mod, only: radfixed,Nmix_co2,			&
+		pres_bottom_tropo,pres_top_tropo,size_tropo,	&
+		pres_bottom_strato,size_strato
       
       real, save ::  rad_h2o
@@ -40,5 +44,4 @@
       Implicit none
 
-      include "callkeys.h"
 !      include "dimensions.h"
 !      include "dimphys.h"
@@ -144,6 +147,4 @@
       use comcstfi_mod, only: pi
       Implicit none
-
-      include "callkeys.h"
 
       integer,intent(in) :: ngrid
@@ -204,6 +205,4 @@
       Implicit none
 
-      include "callkeys.h"
-
       integer,intent(in) :: ngrid
       integer,intent(in) :: nlayer
@@ -251,6 +250,4 @@
       Implicit none
 
-      include "callkeys.h"
-
       integer,intent(in) :: ngrid,nlayer,nq
 
@@ -344,6 +341,4 @@
       use aerosol_mod   !! Particle sizes and boundaries of aerosol layers defined there
      Implicit none
-
-     include "callkeys.h"
 
       integer,intent(in) :: ngrid
Index: trunk/LMDZ.GENERIC/libf/phystd/rain.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1397)
@@ -24,6 +24,4 @@
 !     
 !==================================================================
-
-  include "callkeys.h"
 
 !     Arguments
Index: trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F	(revision 1397)
@@ -21,4 +21,6 @@
       use comcstfi_mod, only: pi, cpp, daysec, dtphys, rad, g, r,
      &                        mugaz, rcp, omeg
+      use callkeys_mod, only: tracer,check_cpp_match,rings_shadow,
+     &		specOLR,water,pceil,ok_slab_ocean
       implicit none
 
@@ -50,5 +52,4 @@
 #include "paramet.h"
 !include "dimphys.h"
-#include "callkeys.h"
 #include "comvert.h"
 #include "netcdf.inc"
Index: trunk/LMDZ.GENERIC/libf/phystd/setspi.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/setspi.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/setspi.F90	(revision 1397)
@@ -28,6 +28,4 @@
 
       implicit none
-
-#include "callkeys.h"
 
       logical file_ok
Index: trunk/LMDZ.GENERIC/libf/phystd/setspv.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/setspv.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/setspv.F90	(revision 1397)
@@ -27,8 +27,7 @@
                              STELLARF,TAURAY
       use datafile_mod, only: datadir
+      use callkeys_mod, only: Fat1AU,rayleigh
 
       implicit none
-
-#include "callkeys.h"
 
       logical file_ok
Index: trunk/LMDZ.GENERIC/libf/phystd/start2archive.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/start2archive.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/start2archive.F	(revision 1397)
@@ -28,4 +28,5 @@
       USE ioipsl_getincom
       USE planete_mod, only: year_day
+      USE callkeys_mod, ONLY: ok_slab_ocean
 
       implicit none
@@ -47,5 +48,4 @@
 !#include"advtrac.h"
 #include "netcdf.inc"
-#include "callkeys.h"
 c-----------------------------------------------------------------------
 c   Declarations
Index: trunk/LMDZ.GENERIC/libf/phystd/statto.h
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/statto.h	(revision 1395)
+++ 	(revision )
@@ -1,34 +1,0 @@
-
-!  statto:
-!     This include file controls the production of statistics.
-!     Some variables could be set in a namelist, but it is easier to
-!     do it here since arrays can then be dimensioned using parameters
-!     and values shouldn't have to change too often.   SRL
-
-!     Calculate stats every istats physics timesteps, starting at first
-!     call.  If istats=0 then don't do statistics at all.  Check value
-!     if number of physics timesteps changes.
-	integer istats
-
-!     Calculate itime independent sums and sums of squares,
-!     example, istat=1,istime=1 gives a single time mean
-	integer, parameter :: istime=12
-
-!     Number of 2D and 3D variables on which to do statistics.
-	integer n2dvar, n3dvar
-	parameter (n2dvar = 8, n3dvar = 5)
-
-!     Units for writing stats header and data
-	integer usdata
-
-!     count tab to know the variable record
-        integer count(istime)
-
-!     Record of the number of stores made for each time.
-	integer nstore(istime)
-
-! Size of the "controle" array
-        integer, parameter :: cntrlsize=15
-
-!       common /sttcom/ dummy,nstore,istats,usdata
-        common /sttcom/ nstore,istats,usdata,count
Index: trunk/LMDZ.GENERIC/libf/phystd/statto_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/statto_mod.F90	(revision 1397)
+++ trunk/LMDZ.GENERIC/libf/phystd/statto_mod.F90	(revision 1397)
@@ -0,0 +1,35 @@
+MODULE statto_mod
+IMPLICIT NONE  
+
+!  statto_mod:
+!     This include file controls the production of statistics.
+!     Some variables could be set in a namelist, but it is easier to
+!     do it here since arrays can then be dimensioned using parameters
+!     and values shouldn't have to change too often.   SRL
+
+!     Calculate stats every istats physics timesteps, starting at first
+!     call.  If istats=0 then don't do statistics at all.  Check value
+!     if number of physics timesteps changes.
+	integer istats
+
+!     Calculate itime independent sums and sums of squares,
+!     example, istat=1,istime=1 gives a single time mean
+	integer, parameter :: istime=12
+
+!     Number of 2D and 3D variables on which to do statistics.
+	integer n2dvar, n3dvar
+	parameter (n2dvar = 8, n3dvar = 5)
+
+!     Units for writing stats header and data
+	integer usdata
+
+!     count tab to know the variable record
+        integer count(istime)
+
+!     Record of the number of stores made for each time.
+	integer nstore(istime)
+
+! Size of the "controle" array
+        integer, parameter :: cntrlsize=15
+
+END MODULE statto_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/su_watercycle.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/su_watercycle.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/su_watercycle.F90	(revision 1397)
@@ -4,6 +4,4 @@
       use comcstfi_mod, only: cpp, mugaz
       implicit none
-
-#include "callkeys.h"
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/suaer_corrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/suaer_corrk.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/suaer_corrk.F90	(revision 1397)
@@ -11,4 +11,5 @@
       use radcommon_h, only: qrefvis,qrefir,omegarefvis,omegarefir
       use aerosol_mod
+      use callkeys_mod, only: tplanet
 
       implicit none
@@ -44,5 +45,4 @@
 !==================================================================
 
-#include "callkeys.h"
 !     Optical properties (read in external ASCII files)
       INTEGER,SAVE      :: nwvl  ! Number of wavelengths in
Index: trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 1397)
@@ -30,7 +30,7 @@
 !      use ioipsl_getincom
       use ioipsl_getincom_p 
+      use callkeys_mod, only: varactive,varfixed,graybody,callgasvis,&
+		continuum,H2Ocont_simple
       implicit none
-
-#include "callkeys.h"
 
 !==================================================================
Index: trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90	(revision 1397)
@@ -9,5 +9,5 @@
       SUBROUTINE divgrad_phy(ngrid,nlevs,temp,delta)
 
-
+      USE comhdiff_mod, ONLY: zmasqu,zmasqv
 
       IMPLICIT NONE
@@ -17,5 +17,4 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "comhdiff.h"
       
       INTEGER,INTENT(IN) :: ngrid, nlevs
@@ -44,4 +43,6 @@
 
       SUBROUTINE init_masquv(ngrid,zmasq)
+
+      USE comhdiff_mod, ONLY: zmasqu,zmasqv,unsfu,unsfv,unseu,unsev
      
       IMPLICIT NONE
@@ -51,5 +52,4 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "comhdiff.h"
 
 
@@ -107,4 +107,5 @@
   
           use slab_ice_h 
+          USE comhdiff_mod, ONLY: zmasqu,zmasqv,unsfu,unsfv,unseu,unsev
 
       IMPLICIT NONE
@@ -113,7 +114,5 @@
 !#include "dimphys.h"
 #include "paramet.h"
-#include "callkeys.h"
 #include "comgeom.h"
-#include "comhdiff.h"
 
       INTEGER,INTENT(IN) :: ngrid
Index: trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1397)
@@ -33,6 +33,4 @@
 !==================================================================
 
-#include "callkeys.h"
-
         integer ngrid,nq
 
Index: trunk/LMDZ.GENERIC/libf/phystd/surfini.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surfini.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/surfini.F	(revision 1397)
@@ -17,5 +17,4 @@
 !#include "dimensions.h"
 !#include "dimphys.h"
-#include "callkeys.h"
 c
       INTEGER,INTENT(IN) :: ngrid
Index: trunk/LMDZ.GENERIC/libf/phystd/tabfi.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/tabfi.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/tabfi.F	(revision 1397)
@@ -55,8 +55,8 @@
       use comcstfi_mod, only: rad, omeg, g, mugaz, rcp, cpp, dtphys,
      &                        daysec, r
+      use callkeys_mod, only: check_cpp_match,force_cpp
       implicit none
  
 #include "netcdf.inc"
-#include "callkeys.h"
 
 c-----------------------------------------------------------------------
Index: trunk/LMDZ.GENERIC/libf/phystd/totalcloudfrac.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/totalcloudfrac.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/totalcloudfrac.F90	(revision 1397)
@@ -5,4 +5,5 @@
       USE comgeomfi_h
       USE tracer_h, only: igcm_h2o_ice
+      USE callkeys_mod, ONLY: CLFfixval
       implicit none
 
@@ -18,6 +19,4 @@
 !     
 !==================================================================
-
-#include "callkeys.h"
 
       integer,intent(in) :: ngrid        ! number of atmospheric columns
Index: trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90	(revision 1397)
@@ -12,4 +12,5 @@
       use tracer_h, only: igcm_h2o_vap, igcm_h2o_ice
       use comcstfi_mod, only: rcp, g, r, cpp
+      use callkeys_mod, only: water,tracer,nosurf
 
       implicit none
@@ -41,6 +42,4 @@
 !     declarations
 !     ------------
-
-      include "callkeys.h"
 
 !     arguments
Index: trunk/LMDZ.GENERIC/libf/phystd/vdifc.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/vdifc.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/vdifc.F	(revision 1397)
@@ -13,4 +13,5 @@
       USE tracer_h
       use comcstfi_mod, only: g, r, cpp, rcp
+      use callkeys_mod, only: water,tracer,nosurf
 
       implicit none
@@ -39,5 +40,4 @@
 !     ------------
 
-#include "callkeys.h"
 
 !     arguments
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F	(revision 1397)
@@ -49,4 +49,5 @@
 #endif
       use control_mod, only: ecritphy, iphysiq, day_step
+      use callkeys_mod, only: iradia
 
       implicit none
@@ -61,5 +62,4 @@
 #include "netcdf.inc"
 #include "temps.h"
-#include "callkeys.h"
 
 ! Arguments on input:
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F	(revision 1397)
@@ -49,4 +49,5 @@
 #endif
       use control_mod, only: ecritphy, iphysiq, day_step
+      use callkeys_mod, only: iradia
 
       implicit none
@@ -61,5 +62,4 @@
 #include "netcdf.inc"
 #include "temps.h"
-#include "callkeys.h"
 
 ! Arguments on input:
Index: trunk/LMDZ.GENERIC/libf/phystd/writeg1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writeg1d.F	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/writeg1d.F	(revision 1397)
@@ -1,3 +1,5 @@
       SUBROUTINE writeg1d(ngrid,nx,x,nom,titre)
+      USE comg1d_mod, ONLY: g1d_nomfich,g1d_premier,g1d_unitfich,
+     &	g1d_irec,g1d_nvar,g1d_nomvar,g1d_titrevar,g1d_dimvar,g1d_nlayer
       IMPLICIT NONE
 
@@ -18,5 +20,4 @@
 c.......................................................................
 c
-#include "comg1d.h"
 
 c
@@ -129,4 +130,7 @@
       SUBROUTINE endg1d(ngrid,nlayer,zlayer,ndt)
       USE comcstfi_mod, ONLY: dtphys, daysec
+      USE comg1d_mod, ONLY: g1d_nomfich,g1d_unitfich,g1d_nvar,
+     &	g1d_nomvar,g1d_titrevar,g1d_dimvar,g1d_nlayer,g1d_unitctl,
+     &	g1d_nomctl,saveG1D
       IMPLICIT NONE
 c.......................................................................
@@ -142,5 +146,4 @@
 c.......................................................................
 c
-#include "comg1d.h"
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/wstats.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/wstats.F90	(revision 1395)
+++ trunk/LMDZ.GENERIC/libf/phystd/wstats.F90	(revision 1397)
@@ -3,4 +3,5 @@
 use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather, klon_mpi_begin
 use mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo
+use statto_mod, only: istats,istime,count
 
 implicit none
@@ -9,5 +10,4 @@
 !#include "dimphys.h"
 #include "comconst.h"
-#include "statto.h"
 #include "netcdf.inc"
 
